<script lang="ts" setup>
import type { BaseCTA } from '@/types/base';

defineProps<BaseCTA>();

const dataAOS = {
  animation: 'fade-up',
  duration: 1600,
  offset: 200,
};
</script>
<template>
  <section class="team-ops-join-us">
    <SlpContainer>
      <SlpRow class="slp-align-items-center">
        <SlpColumn :cols="1" />

        <SlpColumn :cols="10">
          <div
            class="team-ops-join-us__spotlight"
            :data-aos="dataAOS.animation"
            :data-aos-duration="dataAOS.duration"
            :data-aos-offset="dataAOS.offset"
          >
            <div class="team-ops-join-us__block">
              <SlpTypography tag="h2" variant="heading2-bold">
                {{ title }}
              </SlpTypography>
              <SlpTypography tag="div" variant="heading5-bold">
                <div class="team-ops-join-us__description" v-html="$md.render(description)" />
              </SlpTypography>
              <SlpButton
                v-if="link"
                :href="link.config.href"
                variant="primary"
                :data-ga-name="link.config.dataGaName"
                :data-ga-location="link.config.dataGaLocation"
                class="slp-mt-24"
              >
                {{ link.text }}
              </SlpButton>
            </div>
          </div>
        </SlpColumn>

        <SlpColumn :cols="1" />
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.team-ops-join-us {
  padding: $spacing-48 0 0 0;
  @media (min-width: $breakpoint-lg) {
    padding: $spacing-96 0 0 0;
  }

  &__description {
    margin: $spacing-16 0;
    &:deep(p) {
      margin: $spacing-32 0;
    }
  }

  &__block {
    background: $color-primary-300;
    border: 2px solid $color-primary-200;
    box-shadow: $spacing-32 $spacing-32 #6d9add;
    border-radius: 0 0 90px 0;
    padding: $spacing-48 $spacing-24 $spacing-64 $spacing-24;
    width: calc(100% - $spacing-32);
    margin-top: $spacing-48;
    @media (min-width: $breakpoint-lg) {
      margin-top: $spacing-64;
      padding: $spacing-96 $spacing-160;
    }
  }
  &__spotlight {
    position: relative;
    padding-bottom: $spacing-96;
    @media (min-width: $breakpoint-lg) {
      padding-bottom: $spacing-96 + $spacing-48;
    }
    & div {
      position: relative;
    }
    &::before {
      content: '';
      display: block;
      width: 100vw;
      height: 75%;
      background: #256ad1;
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
    }
  }
  &__list-item {
    display: flex;
  }
  &__logo {
    width: 100%;
    height: 100px;
    background: white;
  }
  &__logo-grid {
    margin-left: -$spacing-16;
    &__column {
      padding: $spacing-16;
      img {
        width: 100%;
        filter: invert(100%) sepia(0%) saturate(25%) hue-rotate(70deg) brightness(108%) contrast(108%);
      }
    }
  }
}
</style>
